Subject: CA changes translation needed
From: "Mike" <[email-masked]>
To: "Doris Fergus" <[email-masked]>
Date: Fri, 21 Mar 2008 16:45:45 -0400

Hi Doris.
I have some small changes that I need for the California posters.  I probably will have more work for you in the near future is well.  I am trying to get this in before we go to Florida.  We are leaving Tuesday.  I was wondering if you would have time this weekend to complete it.  If not, I can get this when I get back from vacation.  I have attached the 2 documents.  If you can not, please send me an email and let me know it will be later than Monday when I should receive it done.
Thank you,
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]